org.eclipse.ecf.core.sharedobject

## Class OptimisticSharedObject

- java.lang.Object
- - org.eclipse.ecf.core.sharedobject.BaseSharedObject
  - - org.eclipse.ecf.core.sharedobject.OptimisticSharedObject

All Implemented Interfaces:
  org.eclipse.core.runtime.IAdaptable, IIdentifiable, ISharedObject

Direct Known Subclasses:
  SharedModel

    public class OptimisticSharedObject
    extends BaseSharedObject

Superclass for shared object classes that replicate themselves optimistically. May be subclassed as desired.

See Also:
  `BaseSharedObject`

### Field Summary

### Fields inherited from class org.eclipse.ecf.core.sharedobject.BaseSharedObject

`DESTROYREMOTE_CODE, DESTROYSELFLOCAL_CODE`

### Constructor Summary

Constructors
Constructor and Description
`OptimisticSharedObject()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `initialize()` Initialize this shared object.

### Methods inherited from class org.eclipse.ecf.core.sharedobject.BaseSharedObject

`addEventProcessor, clearEventProcessors, creationCompleted, destroyRemote, destroySelf, destroySelfLocal, dispose, fireEventProcessors, getAdapter, getConfig, getConnectedID, getContext, getGroupMemberIDs, getHomeContainerID, getID, getLocalContainerID, getProperties, getReplicaDescription, getReplicaDescriptions, getSharedObjectMsgFromEvent, handleEvent, handleEvents, handleSharedObjectCreateResponseEvent, handleSharedObjectMsg, handleSharedObjectMsg, handleSharedObjectMsgEvent, handleUnhandledEvent, init, isConnected, isPrimary, log, log, removeEventProcessor, replicateToRemoteContainers, sendSharedObjectMsgTo, sendSharedObjectMsgToPrimary, sendSharedObjectMsgToSelf, trace, traceCatching, traceEntering, traceEntering, traceEntering, traceExiting, traceExiting`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OptimisticSharedObject

    public OptimisticSharedObject()

### Method Detail

#### initialize

    protected void initialize()
                       throws SharedObjectInitException

Description copied from class: `BaseSharedObject`
Initialize this shared object. Subclasses may override as appropriate to define custom initialization behavior. If initialization should fail, then a SharedObjectInitException should be thrown by implementing code. Also, subclasses overriding this method should call super.initialize() before running their own code.

Overrides:
  `initialize` in class `BaseSharedObject`
Throws:
  `SharedObjectInitException` - if initialization should throw